ConfigResponseDB (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.ConfigResponseDB class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef
Class ConfigResponseDB

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.ConfigResponseDB

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigResponseDB

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`ConfigResponseDB()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`byte[]` | `getAutoInventoryResponse()`
`byte[]` | `getControlResponse()`
`byte[]` | `getMeasurementResponse()`
`byte[]` | `getProductResponse()`
`byte[]` | `getResponseTimeResponse()`
`boolean` | `getUserManaged()`
`java.lang.String` | `getValidationError()`
`boolean` | `isUserManaged()`
`void` | `setAutoInventoryResponse(byte[] autoInventoryResponse)`
`void` | `setControlResponse(byte[] controlResponse)`
`void` | `setMeasurementResponse(byte[] measurementResponse)`
`void` | `setProductResponse(byte[] productResponse)`
`void` | `setResponseTimeResponse(byte[] responseTimeResponse)`
`void` | `setUserManaged(boolean userManaged)`
`void` | `setValidationError(java.lang.String validationErr)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigResponseDB

    public ConfigResponseDB()

Method Detail

### getProductResponse

    public byte[] getProductResponse()

### setProductResponse

    public void setProductResponse(byte[] productResponse)

### getControlResponse

    public byte[] getControlResponse()

### setControlResponse

    public void setControlResponse(byte[] controlResponse)

### getMeasurementResponse

    public byte[] getMeasurementResponse()

### setMeasurementResponse

    public void setMeasurementResponse(byte[] measurementResponse)

### getAutoInventoryResponse

    public byte[] getAutoInventoryResponse()

### setAutoInventoryResponse

    public void setAutoInventoryResponse(byte[] autoInventoryResponse)

### getResponseTimeResponse

    public byte[] getResponseTimeResponse()

### setResponseTimeResponse

    public void setResponseTimeResponse(byte[] responseTimeResponse)

### isUserManaged

    public boolean isUserManaged()

### getUserManaged

    public boolean getUserManaged()

### setUserManaged

    public void setUserManaged(boolean userManaged)

### getValidationError

    public java.lang.String getValidationError()

### setValidationError

    public void setValidationError(java.lang.String validationErr)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.